Subject: [XCON] 3GPP Requirements on CPCP

From: georg.mayer at nokia.com ([email-masked])
Date: Fri Jul 11 05:37:16 2003

Hello Alan,

thanks for your reponse - here are some comments to it.

> HTTP may be used as transport but it will not be the actual 
> protocol.  And 
> you are correct in saying that CPCP is much more than just a data 
> manipulation protocol.

Yes, I was unclear in that statement - sorry for that. What is required is, that we do not go for the next protocol that is required in order to make SIP services work and that is not used / implemented for any other SIP means. This would mean "just another protocol stack" in the UE and we should really try to avoid that. This might not be a requirement for an acutal functionality, but nevertheless it is a reasonable issue and should be taken into account.

> I think it is desirable for alignment, but not a strict 
> requirement.  

For 3GPP it is a strict requirement towards the solution. I would maybe express it as: This is not the only requirement and we have to see if we achieve to satisfy all (CPCP) requirements or if there might be some contradiction between them.

> If 
> their requirements point to a common solution, then that's 
> great.  
> Just as 
> an aside, my personal view is that the CPCP side of things 
> (as opposed to 
> the media policy) is much more likely to be useful for scheduling 
> applications and automata than for handsets.

Well, for IMS it was decided to use CPCP and we have good reasons to do so. First of all the service integration in the handset will of course become better in the future, but nevertheless needs to stay within a reasonable amount of resource usage. So I do not think that only specific entities will implement CPCP - the possiblities to create conferences, mange the dial-out list, give/take rights, expel users are very useful for handsets. So therefore I would regard the "handset related" requirements as also valid.

Best regards and see you in Vienna,
Georg

> -----Original Message-----
> From: ext Alan Johnston [mailto:[email-masked]]
> Sent: 10 July, 2003 16:40
> To: Mayer Georg (NMP/Helsinki); [email-masked]
> Subject: Re: [XCON] 3GPP Requirements on CPCP
> 
> 
> Hi Georg,
> 
> Thanks for your comments.  See mine below.
> 
> Thanks,
> Alan Johnston
> MCI
> 
> At 02:58 PM 7/10/2003 +0300, [email-masked] wrote:
> >Hello,
> >
> >initially I planned to have a short presentation at the 
> Vienna meeting on 
> >3GPP requirements on CPCP, but unfortunately it seems that 
> there is no 
> >time slot neither in SIPPING nor XCON which allows going 
> into technical 
> >discussions during this meeting. So I decided to make my 
> comments on the 
> >mailing list.
> >
> >As you know in 3GPP we are planning to adopt the SIP 
> conferencing solution 
> >for the IMS (IP Multimedia Subsystem). During the last (CN1 
> WG) meeting we 
> >had some discussions on CPCP and decided that we will also 
> adopt this 
> >solution, although some delegates had some concerns. I 
> therefore got the 
> >task to collect requirements on CPCP, what I did.
> >
> >As always, the resources in wireless devices are a sacred thing and 
> >therefore the main concern was, that CPCP will introduce a whole new 
> >protocol and notation, that needs to be implemented "just" for CPCP. 
> >Therefore the main issues are:
> >
> >1) that CPCP makes use of an notation mechanism that is already used 
> >within the IMS / SIP protocol. We think that XML is the way 
> forward here.
> 
> I have not seen any non-XML encoded proposals, so this seems OK.
> 
> >2) that CPCP makes use of a protocol that is already used in 
> >state-of-the-art wireless devices. As SIP is not an option 
> here, we very 
> >much favour HTTP, as this is implemented in every new mobile 
> phone model.
> >
> >As the 3GPP architecture sees the protocols for any sort of 
> application 
> >specific data manipulation over the same (Ut) interface, we 
> also favour 
> >the approach to harmonize the data manipulation solutions as much as 
> >possible. I am aware that CPCP is more than just data manipulation, 
> >nevertheless there are very similar concepts in e.g. 
> Presence DM and CPCP. 
> >As the IMS will also include (SIMPLE based) Presence and 
> Presence Data 
> >Manipulation, we also see the need
> 
> HTTP may be used as transport but it will not be the actual 
> protocol.  And 
> you are correct in saying that CPCP is much more than just a data 
> manipulation protocol.
> 
> >3) that CPCP and Presence Data Manipulation solution must be 
> aligned, in 
> >order to re-use as much functionality as possible.
> 
> I think it is desirable for alignment, but not a strict 
> requirement.  If 
> their requirements point to a common solution, then that's 
> great.  Just as 
> an aside, my personal view is that the CPCP side of things 
> (as opposed to 
> the media policy) is much more likely to be useful for scheduling 
> applications and automata than for handsets.
> 
> >This is also important, as we see lots of services in the 
> future, which 
> >will also require Data Manipulation via the Ut interface - 
> we want these 
> >solutions harmonized if possible. The XCAP proposal as 
> currently discussed 
> >in SIMPLE seems to be the right way forward here.
> >
> >Finally there is a need that the UE gets aware of the CPCP 
> server. This 
> >might be outside of the scope of XCON, maybe more related to 
> SIPPING, but 
> >as it is related to this issue, I would like to see it also listed:
> 
> The current plan is that a user agent will learn the policy 
> URIs using the 
> conference package - at the same time that the initial roster 
> is delivered.
> 
> 
> >4) There must be a way for the UE to get aware of the 
> address of a CPCP 
> >server (or any other server which allows the UE to perform 
> data manipulation).
> >
> >If the group agrees, I would reformulate these requirements into 
> >"requirements language", so that they can be added to CPCP 
> requirements 
> >draft (draft-koskelainen-xcon-cpcp-reqs-00.txt).
> >
> >Thank you and best regards
> >Georg
> >
> >
> >_______________________________________________
> >XCON mailing list
> >[email-masked]
> >http://www.softarmor.com/mailman/listinfo/xcon
> 
>